XScreenSaver(1)

NAME
flow - strange attractors.

SYNOPSIS
flow [-display host:display.screen] [-visual visual] [-window] [-root] [-count number] [-cycles number] [-periodic|-no-periodic] [-search|-no-search] [-rotate|-no-rotate] [-ride|-no-ride] [-box|-no-box] [-dbuf|-no-dbuf] [-ncolors number] [-delay number]

DESCRIPTION
Strange attractors formed of flows in a 3D differential equation phase space. Features the popular attractors described by Lorentz, Rössler, Birkhoff and Duffing, and can now discover entirely new attractors by itself.

OPTIONS

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-count number
    Number of particles in the flow. Default: 3000

-size number
    Length of particle trails. Negative values indicate randomness. The computational load of a given flow depends on (particle count) * (trail length). Default: -10

-cycles number
    Timeout before changing objects. 0 - 800000. Default: 10000.

-periodic

-no-periodic
    turn on/off periodic attractors. These are flows in 2 dependent variables, with a periodic dependence on a third independent variable (eg time). Flow will sometimes choose to start all the particles in the same phase to illustrate the flow's cross-section. Default: on

-search

-no-search
    turn on/off search for new attractors. If this is enabled, a fraction of the computing cycles is directed to searching a 60-dimensional parameter space for new strange attractors. If periodic flows are enabled, these can be searched too. Watch carefully - you are quite likely to see mathematical objects that have never been seen before, and since the parameters are not recorded, you'll probably never see them again! Default: on

-rotate

-no-rotate
    turn on/off rotating around attractor. Default: on

-ride

-no-ride
    turn on/off ride in the flow. Default: on If both -rotate and -ride are enabled the viewpoint will occasionally fly between the two views.

-box

-no-box
    turn on/off bounding box. Default: on

-dbuf

-no-dbuf
    turn on/off double buffering. If Flow runs slowly in full screen, but fast in a smaller window (eg on old graphics cards with too little memory), try turning this option off. Default: on

-ncolors number
    Number of Colors. Default: 200.

-delay number
    Per-frame delay, in microseconds. Default: 10000 (0.01 seconds.).

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright (c) 1996 by Tim Auckland <Tim.Auckland@Procket.com> Incorporating some code from Stephen Davies Copyright (c) 2000 Search code based on techniques described in "Strange Attractors: Creating Patterns in Chaos" by Julien C. Sprott Permission to use, copy, modify, and distribute this software and its documentation for any purpose and without fee is hereby granted, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. This file is provided AS IS with no warranties of any kind. The author shall have no liability with respect to the infringement of copyrights, trade secrets or any patents by this file or any part thereof. In no event will the author be liable for any lost revenue or profits or other special, indirect and consequential damages. Adapted from swarm.c Copyright (c) 1991 by Patrick J. Naughton. Adapted from xswarm by Jeff Butterworth. (butterwo@ncsc.org).

AUTHOR
Tim Auckland